## NEWS

Join our **DISCORD** to follow development news, submit bugs, feedback, and share your experience in general: https://discord.gg/9ZYGMzYd89
## Note: ONLY USE R2MODMAN TO INSTALL, DON'T USE TSMM

## CONTENT PROGRESS:

- T1 (Meadows) - Complete
- T2 (Black Forest) - Complete
- T3 (Swamp) - Complete
- T4 (Mountain) - Complete
- T5 (Plains) - Under construction
- T6 (Mistlands) - Under construction
- T7 (Deep North) - Under construction
- T8 (Ashlands) - Under construction
- T9 (Ocean) - Under construction


Epic Valheim support:

		@paypal linamuss@gmail.com
		patreon.com/CaptainIceblock


EV INSTALLATION INSTRUCTIONS:

	Upgrading from 5.1.0 - 5.1.3
		
		Delete and re-install r2mm profile for EV
		Optional - Start a new world (character not needed) or run Upgrade World commands (guide to do so is in EV Discord)

	New installation:
	
		EMPTY Valheim folder required (delete your Valheim folder and let Steam re-download current version)
		New world and character REQUIRED

	RECOMMENDED:
	
		R2MM for EV installation: https://valheim.thunderstore.io/package/ebkr/r2modman/
		Create a new profile, find Epic Valheim, install
		Do NOT update mods further than what EV target's the versions at
	
	ADVANCED USERS:
	
		Advanced users that like to see where things go can do Nexus manual. If things go wrong always try R2MM first
		
		
	Troubleshooting:
	
		Using R2mm, create a new profile, new world, new character, no extra mods, singlelplayer
		If any issues persist, report it in EV Discord
	
	Additional notes:
	
		Unless a mod is broken, only update mods when EV patch releases
		Never update Valheim itself past what EV target's the version at
		
		
EV 5.1.4 [Valheim 0.217.31] RELEASE NOTES

	Fixed Dark Mountain creatures having double of the intended health values
	Fixed Dark Mountain Poison variants having double of the intended base damage
	Fixed an issue preventing most of Dark Black Forest creatures from spawning
	Fixed an issue preventing Skeletons of multiple tiers from spawning
	Fixed both variants of T4 boss from having unintentionally low damage
	Crazed variants now have their movespeed capped at 1.0 of vanilla
	Worldtree Shard recipe now has an alternate x5 version
	Dark Mountain weather now defaulted to Snow, with a low chance of Snowstorm
	Abandoned House campfire removed. Who even lit it if it's abandoned?


EV 5.1.3 [Valheim 0.217.30] RELEASE NOTES

	Updated compatibility to latest Valheim patch
	Extended Trader's item catalogue
	Reduced the effects of Freya set bonus

		
EV 5.1.2 [Valheim 0.217.25] RELEASE NOTES

	Changes requiring either new world or executing UpgradeWorld commands:
	
		Removed broken Vegvisirs in vanilla altars
		DarkBiome Altar generated amount is now correctly set to 6 (was 3)
		Bosses should no longer potentially spawn on top of their altars
		
	Everything else:
	
		Leviathans should now spawn properly
		EV vanilla/Primordial/Magic items should now have intended stats
		Primordial and Magic items now have corresponding name colors
		Vanilla bosses will no longer drop DarkBiome boss loot
		DoubleShot and TripleBowShot has been replaced with raw damage boost
		Hildir's locations should longer throw errors
		BetterTrader replaced with a similar mod
		
	Known issues:

		Some mods may throw assembly/harmony error, but will function as intended
		New trader item table is currently minimal and will be filled up with subsequent EV patches
		Breaking down Enchanting Table will produce incorrect materials

		
EV 5.1.1 RELEASE NOTES

	Updated compatibility to the latest Valheim version
	Temporarily removed BetterTrader
	

EV 5.1.0 RELEASE NOTES

	World:
	
		Tier 4 - Mountain and Dark Mountain is ready for adventure
		T1 difficulty reduced by about 30%
		T2 difficulty reduced by about 25%
		T3 difficulty reduced by about 20%
		Dark Meadows received a new coat of grass
		Worldtree Saplings now drop the same amount of loot regardless of biome
		Increased Worldtree Wood yield from Worldtree Saplings
		Worldtree Saplings no longer drop Worldtree Seed
		Worldtree Seed is now a singlular opened version that does not need cooking
		Worldtree Seed now also drops Worldtree Root
		Removed Dead Root pickable
		
		
	Creatures:
	
		Each tier's boss now has both the Classic version and the Dark version
		Ghosts and Wraiths are no longer elite variants in Dark biomes
		Removed custom events for until later tier releases
		Removed two redundant Dvergr Mage versions, increased remaining Dvergr spawn rates to compensate
		Corrected some instances where Skeleton would spawn a lesser tier version in higher tier biome
		
			
	Items:
		
		NEW: Primordial Essence - a very rare drop from world's creatures
		NEW: Primordial Weapons and Armor - improved versions of regular weaponry and armory
		Reworked EV Weaponry formula: overall damage increased
		Reworked EV Armory formular: overall armor increased
		Each tier's items are upgradable two times
		T1 is now upgradable
		Heavy armor helm/chest/legs pieces now reduce player movespeed by 0.07
		Light armor helm/chest/legs pieces now increase player movespeed by 0.07
		Essences required to craft the Boss token moved to 100
		Trophies required to craft the Golden Boar token moved to 10
		Living Essence no longer drops from non-creature sources
		Boss 
		Dropped Living Essences now have idle animations
		Odin's Staff and Hela's set stats have been decreased
		Slightly reduced Primordial Pebble's damage output
		Slightly increased Primordial Arrow's damage output
		Enchanted loot now drops less frequently
		Eitr potion reworked to grant 100/150/200 regen per tier (from t2)
		Health potion reworked to grant 200/300/400 regen per tier (from t2)
		Resistance potion reworked to grant 120/240/360 regen per tier (from t2)
		Magic Staves are now upgradable
		Discarded Boar Skull weight reduced to 10 from 20
		
		
	Misc:
	
		Instances where Black Forest was called Dark Forest corrected
		Dark Meadows received a new coat of grass
		Living Essence now has idle animation
		Added minradiusfromsimmilar checks to prevent clumps of EV locations
		Removed Hovertext from Ancient Root dark biome prop
		Worldtree Saplings with no leaves should no longer show leafy VFX
		Adjusted Boss spawn/defeat messages to be EV flavored
		It is now easier to recognize what the Golden Boar altar is for

		
KNOWN ISSUES LAUNCHING WITH 5.1.0

	Dark Vegvisir does not reveal altar location - amount of dark altars increased to compensate
	BetterTrader will reddify your console commands, but works as intended in-game


EV 5.0.9 - 5.0.11 RELEASE NOTES:

	Non-boss creature health reduced by 25% across all tiers
	Magic stave damage reduced by 33% across all tier variants
	Eitr regeneration reduced by 50% across all sources
	Equipment items can now be sold to the trader
	Removed SimpleRecycling from mod dependency
	

EV 5.0.8 RELEASE NOTES:

	Dvergr expeditions have now marked all the Primordial Veins they found with a banner
	Further increased the spawn rate of following resources:
		Primordial Pebble
		Primordial Stone
		Worldtree Seed
		Worldtree Root
	Fixed Enchanting table not granting resources back when disassembled
	Fixed depreciated stave variants showing up in crafting section


EV 5.0.7 RELEASE NOTES:

	All level Dvergrs now drop x10 common resources in addition to their regular loot
	Fixed extra clutter and vegetation spawning in vanilla biomes
	Fixed Handcrafted Shield having incorrectly reduced durability values
	Fixed enchanted equipment loot tables having incorrectly high values
	Fixed factions being set incorrectly on creature spawn
	

EV 5.0.6 RELEASE NOTES:

	World:
	
		Dark Biomes now have unique terrain generation
		Dark Biomes now have more clutter, vegetation and locations
		Dark Biomes now have increased resource generation
		Dark Biomes no longer have overly happy weather in rotation
		
	Creatures:
	
		Magic item droprate is now 50% instead of 100%
		Increased Essence drop rates for 1/2 starred creatures
		Golden Boar now requires 5 Boar Skulls, down from 10, Skull stack size corrected to 5
		Every creature now has the same faction
		Dvergrs now have twice as much health and twice as less damage
		Dvergrs no longer spawn on biome edges
		Creatures above player level no longer display a red name (10+/- level variance) 
		
	Items:
		
		Disabled Recycling
		Metals can no longer be bought
		Fire/Ice staves now only have a single variant, costs merged
		Movement speed altering enchants can no longer roll on staves
		Handcrafted Shield now has further reduced durability
		Gamble Tokens now can be sold
		Crafting costs of majority of the assets have been doubled
		StarterHouse Chest resources doubled
		Decreased enchanting/augmenting costs
	
	Bug Fixes:
	
		Ghosts/Wraiths now properly follow normal creature loottable rules, and elite lootables for Dark variants
		T2 Dvergrs now have stats intended for T2 and not T3
		
	
EV 5.0.5 RELEASE NOTES:

	General:
	
	Increased world spawn of the following resources:
			Worldtree Seed (pickable)
			Worldtree Root (pickable)
			Primortial Pebble (pickable)
			Primordial Stone (pickable)
	Worldtree Trees now yield more Worldtree Wood when cut down
	Added Enchanting Dust to trader
	Regular bounties now provide 250 gold, down from 500
	Elite bounties now provide x2 of Token rewards
	Doubled the yield gained from crafting Handcrafted Arrow
	Dvergrs now drop more Living Essence
	Recycling no longer yields at least one resource, returned resource amount is now up to 0.5
	Enchanting Table and most of the enchanting functions are now available at T1
	Moved Enchanting Table to Odin's Hammer
	Frost Staves now have no movement speed penalty
	Fire Staves now deal 0.5 of previous damage, but cost 40% less resources to use
	Fire Staves now set movement speed to 0% when in use
	Regen provided by Eitr armors are down to 0.3, from 0.4
	Bosses and most minibosses now take "Normal" damage from conventional weapons, and "Resistant" from elemental
	Reduced price that the player sells Dvergr Trophy at
	Reworked Enchanted Equipment drop tables:
		Normal:
			0 star:			-
			1 star:			-
			2 star:			x1 [34/33/33/0]
		Elite:
			0 star:			-
			1 star:			-
			2 star:			x1 [0/60/30/10]
		Dark Normal:
			0 star:			-
			1 star:			x1 [60/30/10/0]
			2 star:			x1 [0/60/30/10]
		Dark Elite:
			0 star:			x1 [60/30/10/0]
			1 star:			x1 [0/60/30/10]
			2 star:			x1 [0/0/75/25]		
		Dvergr:
			0 star:			x1 [60/30/10/0]
			1 star:			x1 [0/60/30/10]
			2 star:			x1 [0/0/75/25]
	
	Bug Fixes:
	
		StarterHouse chest now properly contains Handcrafted Axe and Shield
		Treebark Cape now is now upgradable correctly
		Eitr armor gambles should now properly show up in the list
		Fixed Enchanting Dust having incorrect tooltip
		Fixed Fire Stave upgrade values being lower than intended


EV 5.0.4 RELEASE NOTES:

	General:
	
		Disabled FreeBuild enchant
		Burial Grounds chest now drop T1 loot, down from T2
		Increased Primordial Vein spawn rates, reduced their yield
		Increased the price the Trader sells metal ores at
		Disabled Healer Dvergr variant for now
		Slightly increased Dvergr spawn rates
		Dark Biome 0 stars now drop enchanted items slightly less frequently
		Added Handcrafted Axe and Handcrafted Shield to Starter House Chest
		Increased various resource amounts in Starter House Chest
		Infusion Table now costs less Primordial Stone
		Empowered/Eitr foods now have corresponding color names
		TripleShotBow now sets movement speed to 0, instead of reducing damage, renamed Immovable Force
		Frost Stave now has moderately reduced damage
		SpiritFrost Stave now costs less Eitr to use
		SpiritFire Staff now costs less Eitr to use

	Bug Fixes:
	
		Fixed Fishing Rod not being sold
		Fixed Troll having duplicate loottables
		Fixed one of the Odin Staff variants having incorrect name
		Fixed Ancient Bark Spear having vanilla stats
		Added missing flavor text to T1 Empowered Foods


EV 5.0.3 RELEASE NOTES:

	General:
	
		Removed GoldRubyRing
		Reworked Polished Silver Ring:
			Now named Simple Ring
			Available from T1
			Costs 2 Flint
		Simple Belt now costs 10 Leather Scraps only
		Andvaranaut and Blank Runestone moved to the BetterTrader tab
		TripleBowShot now reduces damage by x3, up from x2
	
	Bug Fixes:
		
		Fixed belts/rings not rolling as set items properly (might need to re-discover/learn these items)
		Added various missing items to BetterTrader tab
		Fixed various inconsistent pricings in BetterTrader tab
		
	Other:
	
		Cleared up internal BetterTrader config file in case the file size matters to servers


EV 5.0.1 - 5.0.2 RELEASE NOTES:

	
	General:
	
		Trader spawnpoints adjusted to 8, 1500-2000 distance from the center
		Deer Cape now requires extra Deer Hide instead of Bone Fragments
		Greylings can now spawn outside of forests
		Added extra descriptions to Primordial Pebble/Stone to better indicate their usage
		Upgrading equipment now additionally requires Runestone
		Handcrafted Axe formula reworked:
			Now [max upgraded tier's Axe stats] x2
		
	Epic Loot:
	
		Server-side config now locked by default
		Dust gained from disenchanting now 1 from all rarities
		Tokens now weight 10 each and stack to 10
		Augmenting now requires Dust x5 instead of Runestone x1
		Reworked Gambles:
			Non-token gambles now cost 1000 and guarantee a legendary
			Token gambles are coin-free, but require 3 of that rarities token
		Reworked TripleBowShot:
			Still rolls only as unique-legendary guarantee (named Brute Force)
			Reduces damage output by half when in use, non-augmentable
	
	Bug Fixes:
	
		Console should no longer spit out warnings about weight tables
		T1 Dark lvl 3 drop table corrected
		Handcrafted Shields now have correct T2/T3 values
		Handcrafted Shields no longer have nonexistent variant selection
		T3 Worldtree Health Potion now has correct value of 400
		Infusion Table / Odin's Forge use error fixed
		Trader tab now displays item names correctly
		Enchanting Table recipe now uses the intended materials
		Corrected Worldtree Seed collision inconsistencies
		Removed T1 shields from upgrade pool
		Added PickaxeAntler to gamble tab (should prevent 0 gold error)


EV 5.0.0 RELEASE NOTES:

	
	Epic Valheim:
	
		Asset list (source, usage):
		
			Worldtree Seed (WTS, WTSpickable)
					
					Pickable, dropped from creatures
					Cooked into WTScore

			Seed Core (WTScore)

					Cooked from Worldtree Seed
					Crafted into Seed Shard, conversion to Liquid Core
					
			Seed Shard (WTSshard)
			
					Crafted from Seed Core, dropped from Worldtree Sprout/Seedling/Sapling, creatures
					Edible for fast, short regen, ingredient of food items

			Liquid Core (WTSliquid)
			
					Conversion from Seed Core
					Ingredient of mead items

			Worldtree Root (WTroot)
			
					Dropped from Dried Root, Worldtree Sprout/Seedling/Sapling, creatures
					Crafted into Worldtree Weave

			Worldtree Wood (WTwood)
			
					Dropped from Worldtree Sprout/Seedling/Sapling
					Weapon crafting/upgrading	
					
			Worldtree Sprout/Seedling/Sapling (WTT1, WTT2, WTT3)
			
					Environmental spawn
					Drops Worldtree Root, Seed Shard, Worldtree Wood
					
			Primordial Pebble (PMpebble)
			
					Environmental spawn, dropped from creatures
					Arrow crafting, thrown

			Primordial Stone (PMstone)

					Environmental spawn, dropped from Primordial Vein
					Primitive weapon crafting, building crafting, conversion to Primordial Ingot
					
			Primordial Ingot (PMingot)
			
					Conversion from Primordial Stone
					Weapon crafting/upgrading, heavy armor upgrading

			Primordial Vein (PMvein)
			
					Environmental spawn
					Drops Stone, Primordial Stone

			Abandoned House (StarterHouse)

					Guaranteed new-world spawn in center area
					Introduces new player to various EV assets

			Abandoned Cave (T0AC)

					Tier-based location spawn
					Contains Looter Dvergr
							
			Sacrificial Bonfire (T0GBA)

					Tier-based location spawn
					Summons Golden Boar
				
			Golden Boar (GBT0)
			
					Spawned via Golden Boar Altar
					Improved coin drop boss
					
			Golden Piggy (GBPT0)
			
					Spawned via Golden Boar Altar
					Extra event spawn
							
			Faded Boar Skull (GBDT0)
			
					Common drop
					Golden Boar Token crafting resource
							
			Golden Boar Token (GBTT0)
			
					Crafted
					Resource to summon Golden Boar
				
			Mixed Kit (T0UKW)
				
					Crafted:
						Primordial Stone
						Worldtree Wood
						Tier's-metal
						EssenceT0
					Upgrades weapons and other crafts
					
			Metal Kit (T0UKHA)
				
					Crafted:
						Primordial Stone
						Tier's-metal
						EssenceT0
					Upgrades heavy armor and other crafts
			
			Leather Kit (T0UKLA)
				
					Crafted:
						Worldtree Root
						Leather Scraps
						EssenceT0
					Upgrades light armor and other crafts
					
			Odin's Hammer (OdinsHammer)
			
					Crafted
					Crafting EV buildings
					
			Infusion Table (piece_IT)
			
					Built
					Crafting foods, potions, boss tokens
					
			Odin's Forge (piece_OF)
			
					Built
					Crafting/upgrading magic armor/weapons, refining Worldtree Wood
					
			Eitr Infused Equipment (various)
			
					Crafted
					Adds Eitr regen
							
			Thrown Pebble (HCpebble0)
				
					Crafted:
						Primordial Pebble
						EssenceT0
					Thrown for extra damage
					
			Handcrafted Arrow (HCarrow0)
			
					Crafted
					x1.5 of tier's best damage arrow
					
			Handcrafted Axe (HCaxe0)
			
					Crafted
					x1.5 of tier's best damage axe
					
			Handcrafted Shield (HCshield0)
			
					Crafted
					x2 of tier's base shield
					
			T3 Cape (T3Cape)
			
					Crafted
					Fills in missing cape slot for T3
					
			Staff Fire (T0SF1/2/3)
			
					Crafted
					Upgradable fire damage staff
					
			Staff Ice (T0SI1/2/3)
			
					Crafted
					Upgradable frost damage staff
			
			Magic Infused Food (various)
			
					Crafted
					Adds Eitr at the cost of other stats
					
			Empowered Food	(various)
			
					Crafted
					Increases health/stamina/regen by 1.5
								
			Worldtree Mead (various)
			
					Crafted
					Improved vanilla version
					
			Liquid Bomb (EVbomb0)
			
					Crafted
					Improved vanilla version
					
			Primordial Trap (EVtrap0)
			
					Crafted
					Improved vanilla version

			Yggwood Piece (various)
			
					Built
					Does not decay visually
					
			Roaming Dvergr (T0DvergrEV/Mage/Fire/Frost/Support)
			
					World spawn
					5-variant creatures, drops various resources at an improved rate
					
			Looter Dvergr (T0DvergrEVLooter)
			
					Spawns in Abandoned Cave
					Mini-boss, drops improved amount of coins
					
			Stashed Loot (CaveChest)

					Chest spawn in Abandoned Cave
					Contains various resources at an improved rate
					
			Living Essence (EssenceT0)
			
					Tier-based creature drop
					Crafting boss/miniboss summoning token
				
			Enchanting Dust (DustEV)
			
					Disenchanted from magic equipment
					Equipment enchanting/augmenting

			Blank Runestone (RunestoneEV)
			
					Trader sold
					Ingredient of various crafts, equipment enchanting/augmenting

			Empowered Boss Token (various)
			
					Crafted
					Summons a tier's final boss
					
			Dark Biome (various)

					Mirrored version of each tier
					Contains improved amount of environmental resources, spawns Dark creature variants and bosses
					
			Dark Creature (CreatureEV/Fire/Frost/Lightning/Poison/Crazed/Spirit)

					Roams in Dark Biome
					6-variant creature, increased difficulty, drops various resources/magic equipment at an improved rate
					
			Heimdall - Legendary Set

					Crafted, drop
					Shield/Weapon/Legs set improving armor and adding target slow, 3 piece adding a 5m cd death counter
					
			Berserker - Legendary Set

					Crafted, drop
					Belt/Chest/Legs set improving damage and damage while low on health, 3 piece adding a 5m cd death counter
					
			Loki - Legendary Set

					Crafted, drop
					Weapon/Helm/Ring set improving backstab and dealing extra damage at random, 3 piece adding a 5m cd death counter
					
			Thor - Legendary Set

					Crafted, drop
					Weapon/Helm/Back set improving attack speed and adding stamina, 3 piece adding a 5m cd death counter
					
			Bear - Legendary Set

					Crafted, drop
					Back/Chest/Legs set improving health and adding health regen, 3 piece adding a 5m cd death counter
					
			Gladiator - Legendary Set

					Crafted, drop
					Weapon/Shield/Helm set improving block and adding block power, 3 piece adding a 5m cd death counter
					
			Nomad - Legendary Set

					Crafted, drop
					Back/Chest/Belt set improving movement speed and adding chance to avoid damage, 3 piece adding a 5m cd death counter
					
			Freya - Legendary Set

					Crafted, drop
					Shield/Weapon/Legs set adding damage reflection and lifesteal, 3 piece adding a 5m cd death counter
					
			Hela - Legendary Set

					Crafted, drop
					Head/Chest/Legs set adding Eitr and Eitr regen, 3 piece adding a 5m cd death counter
					
			Forest Token (ForestToken)
			
					Treasure Map reward
					Lesser gambles
					
			Iron Bounty Token (IronBountyToken)
			
					Bounty Reward
					Gambles
					
			Gold Bounty Token (GoldBountyToken)

					Bounty Reward
					Greater gambles
				
			Odin's Staff
			
					Unique Legendary
					Extra damage staff enchant with DoubleMagicShot	
					
			Hela's Bow
			
					Unique Legendary
					Bow enchant with TripleBowShot
					
			Unreleased Content Token (UCT)
			
					Drops from unreleased tier's creatures
					Sellable, informs players about playing through unreleased content
					
	
	World:
	
		Greatly increased T1 difficulty
		Moderately increased T2 difficulty
		Map center area now allows building
		Added Abandoned House structure to the map center area
		Increased overall landmass amount
		DarkMeadows min generation distance increased
		EV can now be continued past released content seamlessly, but with near-vanilla progression
	
	
	Equipment:
	
		Reworked equipment upgrade formula:
			Each tier now has +1 upgrade capacity from previous, with T1 starting at 0
		Upgrades now use custom recipes
		Upgrades now give 50-200% more value compared to vanilla
		Shields now provide 100-200% more value compared to vanilla
		Added a cape to T3 equipment category
		Capes now provide armor equal to that tier's light helm
		Eitr armor versions now only have 3 pieces, and is variant of light armor only
		Increased damage of all staves
		Staves can now be used to chop down trees/strike veins
		Reworked Empowered Food formula:
			Now provides x1.5 of base health/stamina
		
		
	Creatures:
	
		Roaming Dvergr's can now drop trophies
		Meadows' structures which spawned Skeletons now spawn Greylings
		Maximum level of creatures in structures/dungeons are now 1
		Next tier's creatures do not Essences until previous tier's boss has been defeated
		Ever creature now has a loot table of 20+ common resources
		Bosses/Minibosses/Dvergr have improved drop rate from the common resource table
		Dark versions of Ghost/Wraith now also take elemental damage
		Reduced Roaming Dvergr spawn rates
		Bosses now drop more Coins
		Eikthyr health increased from 1k to 2k
		Creatures from unreleased tiers now drop Unreleased Content Token:
			Informs players that they've completed currently available content, can also be sold
		
		
	Epic Loot:
	
		Items can now be disenchanted without destroying them (EL native function)
		Added more enchants to the enchant pool
		Enabled ElementalDamage rolls
		Unique-legendaries now roll with 6 slots, up from 5
		TripleShot/DoubleMagicShot can only be rolled into Unique-legendary item
		Trophies are no longer part of Disenchant pool
		New magic set: Hela's Magic - improves Eitr/Eitr regen
		Removed TraderChest
		Gamble tab rework:
			Each gamble rarity now has an associated token to the category
			Coins cost increases with rarity, but so does the success rate of legendary
			Bounties now provide both Iron and Gold tokens
			
			
	Other:
	
		Removed WackyMMO level/loot restrictions
		EV events past T1 are postponed until later date
		
	
	Known issues:
	
		Custom EV items in the Trader menu have garbled titles